Public Member Functions

# BinNavi.API.disassembly.TagManager Class Reference

Keeps track of known tags. More...

List of all members.

## Public Member Functions
void | addListener (final ITagManagerListener listener)
| Adds a tag manager listener.
Tag | addTag (final Tag parent, final String name) throws CouldntSaveDataException
| Adds a new tag.
void | deleteTag (final Tag tag) throws CouldntDeleteException
| Deletes a tag.
List< Tag > | getRootTags ()
| The managed root tags.
Tag | insertTag (final Tag parent, final String name) throws CouldntSaveDataException
| Inserts a new tag.
void | removeListener (final ITagManagerListener listener)
| Removes a tag manager listener.
String | toString ()
| Printable representation of the tag manager.

## Detailed Description

The tag manager is used to manage the tags that can be used to tag either views or nodes in views.

## Member Function Documentation

void BinNavi.API.disassembly.TagManager.addListener | ( | final ITagManagerListener | listener | ) |

Adds an object that is notified about changes in the tag manager.

Parameters:

  | listener | The listener object that is notified about changes in the tag manager.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the tag manager.

Tag BinNavi.API.disassembly.TagManager.addTag | ( | final Tag | parent,
|  | final String | name |
| ) |  |  | throws CouldntSaveDataException

Adds a new tag as the child tag of a given parent tag.

Parameters:

  | parent | The parent tag of the new tag. If this argument is null, a new root tag is created.
  | name | The name of the new tag.

Returns:
  The created tag.

Exceptions:

  | IllegalArgumentException | Thrown if the name argument is null or if the parent tag is not managed by this tag manager.
  | CouldntSaveDataException | Thrown if the tag could not be created.

void BinNavi.API.disassembly.TagManager.deleteTag | ( | final Tag | tag | ) | throws CouldntDeleteException

Permanently deletes an existing tag.

Parameters:

  | tag | The tag to delete.

Exceptions:

  | CouldntDeleteException | Thrown if the tag could not be deleted.

List<Tag> BinNavi.API.disassembly.TagManager.getRootTags | ( |  | ) |

Returns the root tags that are managed by this tag manager.

Returns:
  A list of root tags.

Tag BinNavi.API.disassembly.TagManager.insertTag | ( | final Tag | parent,
|  | final String | name |
| ) |  |  | throws CouldntSaveDataException

Inserts a new tag between a given parent tag and the children of that parent tag.

Parameters:

  | parent | The parent tag of the new tag. If this argument is null, a new root tag is created.
  | name | The name of the new tag.

Returns:
  The created tag.

Exceptions:

  | IllegalArgumentException | Thrown if the name argument is null or if the parent tag is not managed by this tag manager.
  | CouldntSaveDataException | Thrown if the tag could not be created.

void BinNavi.API.disassembly.TagManager.removeListener | ( | final ITagManagerListener | listener | ) |

Removes a listener object from the tag manager.

Parameters:

  | listener | The listener object to remove from the tag manager.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the tag manager.

String BinNavi.API.disassembly.TagManager.toString | ( |  | ) |

Returns the string representation of the tag manager.

Returns:
  The string representation of the tag manager.